Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# TAO_Default_Endpoint_Selector Class Reference

`#include <Invocation_Endpoint_Selectors.h>`

Inheritance diagram for TAO_Default_Endpoint_Selector

[legend]
Collaboration diagram for TAO_Default_Endpoint_Selector:

[legend]
List of all members.

## Public Methods
| TAO_Default_Endpoint_Selector (void)
| Constructor.
virtual | ~TAO_Default_Endpoint_Selector (void)
| Destructor.
virtual void | select_endpoint (TAO_GIOP_Invocation *invocation, CORBA::Environment &ACE_TRY_ENV = TAO_default_environment ())
| Select the endpoint and set <invocation>'s <profile_> and <endpoint_> data members accordingly.
virtual void | next (TAO_GIOP_Invocation *invocation, CORBA::Environment &ACE_TRY_ENV = TAO_default_environment ())
virtual void | forward (TAO_GIOP_Invocation *invocation, const TAO_MProfile &mprofile, CORBA::Environment &ACE_TRY_ENV = TAO_default_environment ())
virtual void | success (TAO_GIOP_Invocation *invocation)
| Update the state to indicate that the selected endpoint/profile were used successfully.
virtual void | close_connection (TAO_GIOP_Invocation *invocation)
| Update the state to reflect that the connection being used for the invocation has been closed by the server.
## Protected Methods
int | endpoint_from_profile (TAO_GIOP_Invocation *invocation, CORBA::Environment &ACE_TRY_ENV)
| This method selects an endpoint from the profile in the invocation object.

## Constructor & Destructor Documentation

TAO_Default_Endpoint_Selector::TAO_Default_Endpoint_Selector ( | void )

| Constructor.

TAO_Default_Endpoint_Selector::~TAO_Default_Endpoint_Selector ( | void )`[virtual]`

| Destructor.

## Member Function Documentation

void TAO_Default_Endpoint_Selector::close_connection ( | TAO_GIOP_Invocation * invocation )`[virtual]`

| Update the state to reflect that the connection being used for the invocation has been closed by the server. Reimplemented from TAO_Invocation_Endpoint_Selector.

int TAO_Default_Endpoint_Selector::endpoint_from_profile ( | TAO_GIOP_Invocation * invocation,
| CORBA::Environment & ACE_TRY_ENV )`[protected]`

| This method selects an endpoint from the profile in the invocation object.

void TAO_Default_Endpoint_Selector::forward ( | TAO_GIOP_Invocation * invocation,
| const TAO_MProfile & mprofile,
| CORBA::Environment & ACE_TRY_ENV = TAO_default_environment () )`[virtual]`

| This method must be called if the invocation attempt on a selected endpoint resulted in location forward. This method performs the necessary state updates, so that next <select_endpoint> call picks a new endpoint. Reimplemented from TAO_Invocation_Endpoint_Selector.

void TAO_Default_Endpoint_Selector::next ( | TAO_GIOP_Invocation * invocation,
| CORBA::Environment & ACE_TRY_ENV = TAO_default_environment () )`[virtual]`

| This method must be called when previously selected endpoint didn't work out, and we want to try another one, i.e., reselect. This method performs the necessary state updates, so that next <select_endpoint> call picks a new endpoint. Reimplemented from TAO_Invocation_Endpoint_Selector.

void TAO_Default_Endpoint_Selector::select_endpoint ( | TAO_GIOP_Invocation * invocation,
| CORBA::Environment & ACE_TRY_ENV = TAO_default_environment () )`[virtual]`

| Select the endpoint and set <invocation>'s <profile_> and <endpoint_> data members accordingly. Reimplemented from TAO_Invocation_Endpoint_Selector.

void TAO_Default_Endpoint_Selector::success ( | TAO_GIOP_Invocation * invocation )`[virtual]`

| Update the state to indicate that the selected endpoint/profile were used successfully. Reimplemented from TAO_Invocation_Endpoint_Selector.

The documentation for this class was generated from the following files:

- Invocation_Endpoint_Selectors.h
- Invocation_Endpoint_Selectors.cpp